{
  description = "An example project using flutter";

  inputs.nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
  inputs.flake-utils.url = "github:numtide/flake-utils";

  outputs = {
    flake-utils,
    nixpkgs,
    ...
  } :
    flake-utils.lib.eachDefaultSystem (system: let
      pkgs = import nixpkgs {
        inherit system;
      };
    in {
      devShell = pkgs.mkShell {
          CHROME_EXECUTABLE = "${pkgs.chromium}/bin/chromium";
          FLUTTER_ROOT = "${pkgs.flutter}";
          buildInputs = with pkgs; [
            flutter
            chromium
          ];
          shellHook = ''
            export PATH="$PATH":"$HOME/.pub-cache/bin" 
          '';
        };
    });
}
